<div class="ui grid back">
    <div class="four wide column">
        <div class="ui card shadow">
            <div class="image">
                <img [src]="getUserImage()" alt="User's profile picture" height="300" width="150">
            </div>
            <div class="content">
                <a class="header">{{ user?.name + " " +  user?.lastname }}</a>
                <div class="description">
                    {{ user?.email }}
                </div>
            </div>
            <button class="ui fluaid button" (click)="logout()" >Odjavi se</button>
        </div>
    </div>

    <div class="twelve wide column">
        <button class="ui button" (click)="enalbeChangeFields()">Promeni informacije o profilu</button>
        <h4></h4>
        <div [ngStyle]="{ display: showChangeFields ? 'block' : 'none' }">
          <form class="ui form" [formGroup]="userForm" (ngSubmit)="onSubmitUserForm()">
              <div class="required fluid field" [ngClass]="{ errror: nameHasErrors()}">
                <label>Ime</label>
                <input type="text" placeholder="Unesite ime" formControlName="name"/>
              </div>
              <div class="ui negative message" *ngIf="nameErrorMessage().length > 0">
                <ul class="list">
                  <li *ngFor="let errorMessage of nameErrorMessage()">{{ errorMessage }}</li>
                </ul>
              </div>
              <div class="required fluid field" [ngClass]="{ errror: lastnameHasErrors()}">
                <label>Prezime</label>
                <input type="text" placeholder="Unesite prezime" formControlName="lastname">
              </div>
              <div class="ui negative message" *ngIf="lastnameErrorMessage().length > 0">
                <ul class="list">
                  <li *ngFor="let errorMessage of lastnameErrorMessage()">{{ errorMessage }}</li>
                </ul>
              </div>


              <div class="required fluid field" [ngClass]="{ errror: emailHasErrors()}">
                <label>Email</label>
                <input type="text" placeholder="Unesite email" formControlName="email">
              </div>
              <div class="ui negative message" *ngIf="emailErrorMessage().length > 0">
                <ul class="list">
                  <li *ngFor="let errorMessage of emailErrorMessage()">{{ errorMessage }}</li>
                </ul>
              </div>
              <div class="required fluid field" [ngClass]="{ errror: passwordHasErrors()}">
                <label>Lozinka</label>
                <input type="password" placeholder="Unesite password" formControlName="password">
              </div>
              <div class="ui negative message" *ngIf="passwordErrorMessage().length > 0">
                <ul class="list">
                  <li *ngFor="let errorMessage of passwordErrorMessage()">{{ errorMessage }}</li>
                </ul>
              </div>


              <div class="form-group">
                <label for="file">Izaberi fajl</label>
                <input type="file" formControlName="imgUrl" (change)="handleFileInput($event)" />
            </div>
            <div class="ui hidden divider"></div>
            <button class="ui button" type="submit" (click)="disalbeChangeFields()">Sačuvaj</button>
            <button class="ui button" type="button" (click)="disalbeChangeFields()">Zatvori formular</button>
        </form>

        </div>
    </div>
</div>

<div class="ui hidden divider"></div>
<app-reservation-list></app-reservation-list>


